Bug 1290088 - rename utility doesn't change ENGINE_BASE_URL for vmconsole-proxy-helper
rename utility doesn't change ENGINE_BASE_URL for vmconsole-proxy-helper
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Tools.Rename (Show other bugs)
3.6.0
Unspecified Linux
unspecified Severity high (vote)
: ovirt-3.6.3
: 3.6.3
Assigned To: Yedidyah Bar David
movciari
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 11:16 EST by movciari
Modified: 2016-02-18 06:00 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: ovirt-engine-rename didn't change the fqdn in the vmconsole-proxy-helper conf file. Consequence: Fix: Result:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 06:00:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
ylavi: planning_ack+
dfediuck: devel_ack+
gklein: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 51035 master MERGED packaging: rename: fixes for vmconsole proxy helper 2016-01-19 05:49 EST
oVirt gerrit 52416 ovirt-engine-3.6 MERGED packaging: rename: fixes for vmconsole proxy helper 2016-01-19 07:39 EST

  None (edit)
Description movciari 2015-12-09 11:16:32 EST
Description of problem:
after calling the rename utility:
/usr/share/ovirt-engine/setup/bin/ovirt-engine-rename

old hostname still appears in:
/etc/ovirt-engine/ovirt-vmconsole-proxy-helper.conf.d/10-setup.conf in variable ENGINE_BASE_URL

Version-Release number of selected component (if applicable):
3.6.1-0.2.el6
Comment 1 Yedidyah Bar David 2015-12-16 03:04:14 EST
Now grepped a bit in /etc after rename and see also the following issues.

VMConsole Proxy Helper:

1. /etc/pki/ovirt-engine/certs/vmconsole-proxy-helper.cer

Should we touch it? In engine we touch only apache pki. Need to check.
Also other pki.

Reports:

2. /etc/ovirt-engine-reports/sso.properties:getSessionUserGetSessionUserServletURL

3. Didn't check, but most likely if Reports and Engine are on different machines, and engine is renamed, Reports will not work.

I do not think we'll ever support rename of Reports, as it's easier to just install another machine with a new name (and export/import saved/adhoc reports if needed).

Note You need to log in before you can comment on or make changes to this bug.